<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version='1.0'>
<!--########################################################################### 
 |    $Id: figure.mod.xsl,v 1.3 2001/04/25 21:19:44 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |                                                        
 |   PURPOSE: Template for figure tag.
 + ############################################################################ -->

<xsl:template match="figure|informalfigure">
<xsl:text>\begin_float fig&#10;</xsl:text>
<xsl:if test="graphic|mediaobject">
  <xsl:text>\layout Standard&#10;</xsl:text>
  <xsl:text>\align center&#10;</xsl:text>
</xsl:if>
<xsl:apply-templates select="graphic|mediaobject"/>
<xsl:text>&#10;\layout Caption&#10;</xsl:text>
<xsl:choose> 
  <xsl:when test="title">
    <xsl:apply-templates select="title"/>
  </xsl:when> 
  <xsl:otherwise>
    <xsl:text>RCAS: Please, add a title to figures</xsl:text>
  </xsl:otherwise> 
</xsl:choose>
<xsl:text>&#10;</xsl:text>
<xsl:call-template name="label.id"/>
<xsl:text>\end_float&#10;</xsl:text>
</xsl:template>



<xsl:template match="figure[programlisting]">
<xsl:text>&#10;\begin{program}&#10;</xsl:text>
<xsl:apply-templates/>
<xsl:text>&#10;\caption{</xsl:text>
<xsl:choose> 
    <xsl:when test="title">
            <xsl:call-template name="normalize-scape"> 
                 <xsl:with-param name="string" select="title"/>
            </xsl:call-template>
    </xsl:when> 
    <xsl:otherwise>
        <xsl:text>RCAS: Please, add a title to figures</xsl:text>
    </xsl:otherwise> 
</xsl:choose>
<xsl:text>}&#10;</xsl:text>
<xsl:call-template name="label.id"/>
<xsl:text>&#10;\end{program}&#10;</xsl:text>
</xsl:template>

<xsl:template match="figure/title">
  <xsl:call-template name="ragged.left.para"></xsl:call-template>
</xsl:template>
<xsl:template match="informalfigure/title"> </xsl:template>
</xsl:stylesheet>
