<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version='1.0'>
<!--########################################################################### 
 |    $Id: para.mod.xsl,v 1.5 2001/04/25 21:19:44 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |                                                        
 |   PURPOSE:
 + ############################################################################ -->

<xsl:template name="ragged.left.para">
  <xsl:call-template name="string-replace-cyclic">
    <xsl:with-param name="to"><xsl:text>&#10;</xsl:text></xsl:with-param>
    <xsl:with-param name="from"><xsl:text>&#10; </xsl:text></xsl:with-param>
    <xsl:with-param name="string">
      <xsl:apply-templates/>
    </xsl:with-param>
  </xsl:call-template>
</xsl:template>

<xsl:template name="std.para">
    <xsl:text>&#10;\layout Standard&#10;&#10;</xsl:text>
    <xsl:call-template name="ragged.left.para"/>
</xsl:template>

<xsl:template match="para|simpara">
    <xsl:call-template name="std.para"/>
</xsl:template>


<xsl:template match="formalpara">
    <xsl:text>&#10;{\bf </xsl:text>
    <xsl:call-template name="normalize-scape"><xsl:with-param name="string" select="title"/></xsl:call-template>
    <xsl:text>} </xsl:text>
    <xsl:apply-templates/>
    <xsl:text>&#10;</xsl:text>
    <xsl:text>&#10;</xsl:text>
</xsl:template>

<xsl:template match="formalpara/title"></xsl:template>


<!--========================================================================== 
 |    Especial Cases Do not add Linefeed 
 +============================================================================-->

<xsl:template match="textobject/para"> <xsl:apply-templates/> </xsl:template>
<xsl:template match="step/para">
<xsl:call-template name="ragged.left.para"/>
</xsl:template>
<xsl:template match="entry/para"> <xsl:apply-templates/> </xsl:template>
<xsl:template match="question/para"> <xsl:apply-templates/> </xsl:template>
<xsl:template match="answer/para"> <xsl:apply-templates/> </xsl:template>


</xsl:stylesheet>
